Blockhunt bringt den Server zum laggen

Dieses Thema im Forum "Server Plugins" wurde erstellt von zlReMiiX, 19. Mai 2016.

  1. zlReMiiX
    Offline

    zlReMiiX

    Registriert seit:
    1. Juli 2015
    Beiträge:
    16
    Hallo, habe meinen Server vor ein paar Wochen auf Spigot 1.8.6 gestellt. Habe dann beim joinen bemerkt, dass der Server anfing zu laggen, darauf hab ich dann den Server gestoppt und alle plugins runter gemacht und eins nach dem anderen wieder drauf. Habe dann gemerkt, dass der Server wohl wegen Blockhunt laggen muss. Ich habe aber keinen Plan, was ich tun soll, als ich den Server noch auf Craftbukkit 1.8 hatte lief Blockhunt einbandfrei.
    Man kann zwar immer noch Blockhunt spielen, aber der ganze Server laggt dabei ziemlich.

    Hier ein kleiner Ausschnitt aus der Konsole:


    18:31:10 INFO]: [LibsDisguises] Enabling LibsDisguises v8.2.6
    >
    [18:31:10 WARN]: java.lang.NoSuchFieldException: boundingBox
    >
    [18:31:10 WARN]: at java.lang.Class.getField(Class.java:1592)
    >
    [18:31:10 WARN]: at me.libraryaddict.disguise.utilities.ReflectionManager.getNmsField(ReflectionManager.java:418)
    >
    [18:31:10 WARN]: at me.libraryaddict.disguise.utilities.ReflectionManager.getNmsField(ReflectionManager.java:426)
    >
    [18:31:10 WARN]: at me.libraryaddict.disguise.utilities.ReflectionManager.getBoundingBox(ReflectionManager.java:252)
    >
    [18:31:10 WARN]: at me.libraryaddict.disguise.LibsDisguises.registerValues(LibsDisguises.java:272)
    >
    [18:31:10 WARN]: at me.libraryaddict.disguise.LibsDisguises.onEnable(LibsDisguises.java:102)
    >
    [18:31:10 WARN]: at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:321)
    >
    [18:31:10 WARN]: at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:340)
    >
    [18:31:10 WARN]: at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:405)
    >
    [18:31:10 WARN]: at org.bukkit.craftbukkit.v1_8_R3.CraftServer.loadPlugin(CraftServer.java:357)
    >
    [18:31:10 WARN]: at org.bukkit.craftbukkit.v1_8_R3.CraftServer.enablePlugins(CraftServer.java:317)
    >
    [18:31:10 WARN]: at net.minecraft.server.v1_8_R3.MinecraftServer.s(MinecraftServer.java:414)
    >
    [18:31:10 WARN]: at net.minecraft.server.v1_8_R3.MinecraftServer.k(MinecraftServer.java:378)
    >
    [18:31:10 WARN]: at net.minecraft.server.v1_8_R3.MinecraftServer.a(MinecraftServer.java:333)
    >
    [18:31:10 WARN]: at net.minecraft.server.v1_8_R3.DedicatedServer.init(DedicatedServer.java:263)
    >
    [18:31:10 WARN]: at net.minecraft.server.v1_8_R3.MinecraftServer.run(MinecraftServer.java:525)
    >
    [18:31:10 WARN]: at java.lang.Thread.run(Thread.java:745)
    >
    [18:31:10 WARN]: java.lang.NullPointerException
    >
    [18:31:10 WARN]: at me.libraryaddict.disguise.utilities.ReflectionManager.getBoundingBox(ReflectionManager.java:252)
    >
    [18:31:10 WARN]: at me.libraryaddict.disguise.LibsDisguises.registerValues(LibsDisguises.java:272)
    >
    [18:31:10 WARN]: at me.libraryaddict.disguise.LibsDisguises.onEnable(LibsDisguises.java:102)
    >
    [18:31:10 WARN]: at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:321)
    >
    [18:31:10 WARN]: at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:340)
    >
    [18:31:10 WARN]: at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:405)
    >
    [18:31:10 WARN]: at org.bukkit.craftbukkit.v1_8_R3.CraftServer.loadPlugin(CraftServer.java:357)
    >
    [18:31:10 WARN]: at org.bukkit.craftbukkit.v1_8_R3.CraftServer.enablePlugins(CraftServer.java:317)
    >
    [18:31:10 WARN]: at net.minecraft.server.v1_8_R3.MinecraftServer.s(MinecraftServer.java:414)
    >
    [18:31:10 WARN]: at net.minecraft.server.v1_8_R3.MinecraftServer.k(MinecraftServer.java:378)
    >
    [18:31:10 WARN]: at net.minecraft.server.v1_8_R3.MinecraftServer.a(MinecraftServer.java:333)
    >
    [18:31:10 WARN]: at net.minecraft.server.v1_8_R3.DedicatedServer.init(DedicatedServer.java:263)
    >
    [18:31:10 WARN]: at net.minecraft.server.v1_8_R3.MinecraftServer.run(MinecraftServer.java:525)
    >
    [18:31:10 WARN]: at java.lang.Thread.run(Thread.java:745)
    >
    [18:31:10 WARN]: java.lang.NoSuchFieldException: height
    >
    [18:31:10 WARN]: at java.lang.Class.getField(Class.java:1592)
    >
    [18:31:10 WARN]: at me.libraryaddict.disguise.utilities.ReflectionManager.getNmsField(ReflectionManager.java:418)
    >
    [18:31:10 WARN]: at me.libraryaddict.disguise.utilities.ReflectionManager.getNmsField(ReflectionManager.java:426)
    >
     
    #1
  2. Vazug
    Online

    Vazug

    Ich kann dir empfehlen, deinen Server auf Spigot 1.9.2 oder 1.9.4 zu updaten. Wenn du die 1.9 nicht magst (wie jeder andere), update auf Spigot 1.8.9, da in deiner Version der Sign-Crash einwandfrei funktioniert. Nach dem Update sollte das Plugin wieder super laufen. Wenn nicht, kannst du dich nach einer Alternative oder nach einem Update deines Plugins erkundigen.
     
    #2
  3. 可愛い
    Offline

    可愛い

    Registriert seit:
    19. Mai 2014
    Beiträge:
    657
    Irgendwas ist inkompatibel, vermutlich das Plugin zum Server, aber eventuell auch etwas anderes.
     
    #3